Syncfusion Feedback

Trusted by the world’s leading companies

Syncfusion Trusted Companies

Überblick

Die Angular Charts sind eine sorgfältig entwickelte Diagrammkomponente für die Datenvisualisierung. Sie enthält eine umfangreiche UI-Galerie mit über 50 Charts und Chartsn, von LinienChartsn bis hin zu Finanzcharts, die alle Diagrammszenarios abdecken. Ihre hohe Performance hilft dabei, große Datenmengen schnell zu rendern. Sie bietet auch Features wie Zoomen, Schwenken, Tooltip, Fadenkreuz, Trackball, Hervorhebung und Auswahl.

Warum Syncfusion Essential Studio® Angular Charts wählen?

Angular Chart Type image

50+ Diagrammtypen

Von einfachen alltäglichen Angular Charts wie LinienCharts, BalkenCharts, FlächenCharts bis hin zu komplexen Finanzcharts, die hochgradig anpassbar sind.

Angular Chart Animation image

Diagramm-Animationen

Charts für Angular bieten flüssige Animationen zur Darstellung von Daten mit sanften Übergängen.

Angular Chart Performance image

Performance

Angular Charts sind sorgfältig entworfen, um rasante Performance zu liefern und können 100K Datenpunkte in weniger als einer Sekunde rendern.

Angular Chart Sdk image

SVG Rendering

Vektorbasiertes, sauberes und gestochen scharfes Rendering für all Ihre Responsivitäts- und Skalierungsanforderungen.

Angular Chart Data Editing image

Datenbearbeitung

Angular Charts mit Rich UI bieten Drag & Drop-Unterstützung für die gerenderten Punkte. Die Datenbearbeitung ermöglicht es Ihnen, Daten in einem Diagramm zu manipulieren.

Angular Chart Trendlines image

Trendlinien

Zeigt die Preisrichtung und Bewegungsgeschwindigkeit. Trendlinien können für kartesische Serientypen (Linie, Säule, Streuung, Fläche, Kerze, HiLo, etc.) außer Balken generiert werden.

Angular Chart Global Local image

Globalisierung und Lokalisierung

Benutzer aus verschiedenen Regionen können Angular Charts verwenden, indem sie Datumsangaben, Währungen und Nummerierung entsprechend ihren Präferenzen formatieren.

Angular Chart Export image

Export

Exportieren Sie Charts in PDF-Dokumente oder als Bildformate wie SVG, PNG und JPEG.

Leistungsstarke, benutzerfreundliche und funktionsreiche Angular Charts für Ihr Unternehmen


Angular Charts Code-Beispiel

Beginnen Sie einfach mit den Angular Charts mit wenigen einfachen Zeilen HTML und TS-Code, wie unten demonstriert. Erkunden Sie auch unser Angular Charts Beispiel, das Ihnen zeigt, wie Sie Charts in Angular rendern und konfigurieren.

<ejs-chart style='display:block' id='chartcontainer' [primaryXAxis]='primaryXAxis'>
<e-series-collection>
  <e-series [dataSource]='data' type='Line' xName='x' yName='y'> </e-series>
</e-series-collection>
</ejs-chart>
//app.component.ts
import { Component } from '@angular/core';
export class AppComponent {
  public data: Object[] = [{ x: 'WW', y: 38.3, text: 'World Wide' },
  { x: 'EU', y: 45.2, text: 'Europe' },
  { x: 'APAC', y: 18.2, text: 'Asia Pacific' },
  { x: 'LATAM', y: 46.7, text: 'Latin America' },
  { x: 'MEA', y: 61.5, text: 'Middle East Africa' },
  { x: 'NA', y: 64, text: 'North America' }];
 
//Initializing Primary X Axis
public primaryXAxis: Object = {
    valueType: 'Category',
     
};
}

//app.module.ts
import { ChartModule } from '@syncfusion/ej2-ng-charts';
import { LineSeriesService, CategoryService} from '@syncfusion/ej2-ng-charts';
import { AppComponent } from './app.component';

@NgModule({
  declarations: [
    AppComponent
  ],
  imports: [
    BrowserModule, ChartModule
  ],
  providers: [ LineSeriesService, CategoryService],
  bootstrap: [AppComponent]
})
export class AppModule { }
mobile addaptive icon

Mobile-First-Ansatz

Entwickeln Sie Angular Charts mit einer einzigen Codebasis und durchdachter, mobiladaptiver Architektur, die sich an jede Web-, Mobile- oder Tablet-Umgebung anpasst. Rendern Sie schöne, responsive, interaktive und animierte Charts auf mobilen Geräten.

Barrierefreiheit

Tastaturnavigation in Charts für Angular.

Tastaturnavigation

Angular Charts stellen sicher, dass jedes Element über die Tastatur zugänglich ist. Wichtige Features wie Auswahl, Hervorhebung, Tooltip, Legende ausblenden sowie Zoomen und Schwenken können nur mit Tastaturbefehlen ausgeführt werden; keine Mausinteraktion ist erforderlich. Dies hilft bei der Erstellung hochgradig zugänglicher Anwendungen mit dieser Komponente.

Barrierefreiheit und Screenreader-Unterstützung in Angular Chart.

Screenreader

Angular Charts Ansichten haben vollständige WAI-ARIA Barrierefreiheitsunterstützung. Diese UI umfasst kontrastreiche visuelle Elemente, die Menschen mit Sehbehinderungen die beste Seherfahrung bieten. Außerdem sind gültige UI-Beschreibungen einfach über Hilfstechnologien wie Screenreader zugänglich.

Rechts-nach-links Sprache in Angular Charts anzeigen.

Rechts-nach-links-Rendering ermöglicht es, Text und Layout der Angular Charts von rechts nach links anzuzeigen. Dies verbessert die Benutzererfahrung und Barrierefreiheit für RTL-Sprachen.


Angular Versionskompatibilität

Mit kontinuierlichen Verbesserungen der Angular-Versionen werden die Angular Charts auf dem neuesten Stand gehalten, um sie mit Versionen von 4 bis zur neuesten Version kompatibel zu machen.

Charts Angular Versionskompatibilität.

Weitere unterstützte Frameworks

Die Charts sind für die Frameworks Blazor, React, JavaScript und Vue verfügbar. Erkunden Sie ihre plattformspezifischen Optionen über die folgenden Links:

Unterstützte Browser

Die Angular Charts funktionieren gut mit allen modernen Webbrowsern, einschließlich Chrome, Firefox, Edge, Safari und Opera.

Die besten Angular Charts unterstützte Browser.


Nicht sicher, wie Sie Ihre erste Angular Charts erstellen? Unsere Tutorial-Videos und Dokumentation können helfen.

Ich möchte es jetzt ansehen Ich möchte es jetzt lesen

Häufig gestellte Fragen

Die Syncfusion Angular Charts Komponente unterstützt folgende Features:

  • Unterstützt 50+ Diagrammtypen und elegante Animationen.

  • Blitzschnelle Ladezeit und reiche UI Interaktion in Angular Apps.

  • Unterstützt sowohl SVG als auch Canvas Rendering (für schnelles Rendering).

  • Sie können benutzerdefinierte Elemente zum Diagramm hinzufügen, indem Sie die Annotationen Option verwenden.

  • Flexibles Datenbinding mit Unterstützung für lokale und entfernte Datenquellen wie JSON, RESTful Services, OData Services und WCF Services.

  • Eine der besten Angular Charts auf dem Markt, die eine funktionsreiche UI zur Interaktion mit der Software bietet.
  • Einfache Konfiguration und API.

  • Unterstützt alle modernen Browser.
  • Bei der Anzeige von Daten auf mehreren Chartsn verbessern synchronisierte Charts die Visualisierung durch Koordinierung von Tooltips, Fadenkreuzen, Auswahlen und Zoom-Features über alle Charts hinweg.

  • Mobile-Touch-freundlich und responsiv.
  • Umfangreiche Lernressourcen wie Demos, Dokumentation und Videos, um schnell zu lernen und mit Angular Charts zu beginnen.

Nein, unsere + Komponenten und Frameworks für Web, Mobile und Desktop, einschließlich unserer Angular Charts, werden nicht einzeln verkauft. Sie sind nur als Teil einer Teamlizenz verfügbar. Wir haben das Produkt jedoch wettbewerbsfähig bepreist, sodass es nur etwas mehr kostet als das, was einige andere Anbieter allein für ihre Charts-Komponente verlangen. Wir haben auch festgestellt, dass unsere Kunden normalerweise mit einem unserer Produkte beginnen und dann schnell auf mehrere Produkte erweitern, daher hielten wir es für das Beste, alle + Komponenten und Frameworks für eine Abonnementgebühr anzubieten, die bei 395 $ pro Monat für ein Team von 5 Entwicklern beginnt. Zusätzlich können wir möglicherweise Rabatte basierend auf aktuell aktiven Aktionen anbieten. Bitte kontaktieren Sie noch heute unsere Produktspezialisten, um zu sehen, ob Sie für weitere Rabatte qualifiziert sind.

Nein, dies ist ein kommerzielles Produkt und erfordert eine kostenpflichtige Lizenz. Es ist jedoch auch eine kostenlose Community-Lizenz für Unternehmen und Einzelpersonen verfügbar, deren Organisationen weniger als 1 Million USD Jahresbruttoertrag und fünf oder weniger Entwickler haben.

Ein guter Ausgangspunkt wäre unsere umfassende Getting Started Dokumentation.

Die Syncfusion Angular Charts ermöglichen es Ihnen, Daten mit 50+ Diagrammtypen zu visualisieren. Jeder Diagrammtyp ist einfach konfigurierbar mit eingebauter Unterstützung für die Erstellung beeindruckender visueller Effekte.

Wir verkaufen die Angular Charts nicht separat. Sie sind nur als Teil der Syncfusion Teamlizenz erhältlich. Diese enthält über Komponenten und Frameworks, einschließlich der Angular Charts. Der Preis der Teamlizenz beginnt bei 395 $ pro Monat für 5 Entwickler und umfasst Support und Updates bis zum Ablauf des Abonnements. Zusätzlich könnten wir Rabatte basierend auf aktuell aktiven Aktionen anbieten. Bitte kontaktieren Sie noch heute unsere Produktspezialisten, um zu sehen, ob Sie für weitere Rabatte qualifiziert sind.

Sie finden unsere Angular Charts Demo, die demonstriert, wie Sie Charts rendern und konfigurieren.

Unsere Kunden lieben uns

Mit einem ausgezeichneten Toolset und einem großartigen Supportteam verkürzt Syncfusion® die Entwicklungszeit der Kunden.
Hier sind einige ihrer Erfahrungen.

Echte Erfolgsgeschichten ansehen

Entwickler auf der ganzen Welt vertrauen auf Syncfusions Essential Studio, um komplexe Projekte zu vereinfachen und die Auslieferung zu beschleunigen. Mit einer umfangreichen Bibliothek an UI-Steuerelementen, leistungsstarken SDKs und zuverlässigem Support hilft Essential Studio Teams, unternehmensreife Anwendungen mit Zuversicht zu erstellen.

Fallstudien erkunden


Von Benutzern auf der ganzen Welt bewertet

Auszeichnungen

Viele behaupten, dass sie herausragend sind. Doch wenn andere das erkennen und loben, bedeutet es viel mehr. Syncfusion® präsentiert mit Stolz folgende Branchenauszeichnungen.

Aktuelle Aktivitäten in Angular Charts Tutorials und Blogs

Die Angular Charts Tutorial-Videos und Blog-Posts werden Sie beim Erstellen Ihrer ersten App mit Angular-Komponenten unterstützen. Sie bieten Problemlösungsstrategien, beschreiben Features und Funktionalitäten, kündigen neue Feature-Releases an, erklären Best Practices und zeigen Beispielszenarien auf. Erkunden Sie unsere neuesten Posts in unseren Blog- und Tutorial-Video-Kanälen für Angular Charts Updates.

Up arrow icon

Syncfusion Feedback

Trusted by the world’s leading companies

Syncfusion Trusted Companies

Übersicht

React Charts ist eine sorgfältig gestaltete Diagramm-Komponente zur Datenvisualisierung in mobilen und Web-Anwendungen. Sie enthält eine umfangreiche UI-Galerie mit über 50 Chartsn und Grafiken, von Linien- bis zu FinanzChartsn, die alle Diagramm-Szenarien abdecken. Die hohe Performance hilft dabei, große Datenmengen schnell ohne Leistungsprobleme zu rendern. Mit Syncfusion React Charts können Sie responsive und interaktive Charts und Grafiken mit umfangreichen Features wie Zoomen, Schwenken, Tooltip, Fadenkreuz, Trackball, Hervorhebung und Auswahl erstellen.

Warum Syncfusion React Charts wählen?

React Charts Type image

Über 50 Diagrammtypen

Von einfachen alltäglichen Chartsn wie Linien-, Balken- und FlächenChartsn bis hin zu komplexen FinanzChartsn, die hochgradig anpassbar sind.

React Charts Animation image

Diagramm-Animationen

Charts für React bietet flüssige Animationen zur Datendarstellung mit sanften Übergängen.

React Charts Performance image

Performance

Durchdachte Anstrengungen konzentrieren sich hauptsächlich auf schnelle Performance, um 100.000 Datenpunkte in weniger als einer Sekunde zu rendern.

React Charts Sdk image

SVG-Rendering

Vektorbasiertes, sauberes und gestochen scharfes Rendering für alle Ihre responsiven und Skalierungsanforderungen.

React Charts Data Editing image

Datenbearbeitung

React Charts mit reichhaltiger UI bietet Drag-and-Drop-Unterstützung für die gerenderten Punkte. Die Datenbearbeitung ermöglicht es Ihnen, Daten in einem Diagramm zu manipulieren.

React Charts Trendlines image

Trendlinien

Zeigt die Preisrichtung und Bewegungsgeschwindigkeit. Trendlinien können für kartesische Serientypen (Linie, Säule, Scatter, Fläche, Kerze, HiLo usw.) außer Balken generiert werden.

React Charts Global Local image

Globalisierung und Lokalisierung

Ermöglicht es Benutzern aus verschiedenen Regionen, sie zu verwenden, indem Datumsangaben, Währungen und Nummerierungen entsprechend den Präferenzen formatiert werden.

React Charts Export image

Export

Exportieren Sie Charts in PDF-Dokumente oder als Bildformate wie SVG, PNG und JPEG sowie Diagrammdaten in XLSX- und CSV-Formate.

Leistungsstarke, benutzerfreundliche und funktionsreiche React Charts für Ihr Unternehmen


React Charts Code-Beispiel

Steigen Sie einfach mit React Charts ein, indem Sie einige einfache Zeilen HTML- und JavaScript-Code verwenden, wie unten demonstriert. Erkunden Sie auch unser React Charts Beispiel, das zeigt, wie Sie Charts in React rendern und konfigurieren.

<!DOCTYPE html>
<html>

<body> 
     <div id="charts"></div>
</body>

</html>
import { AxisModel, Category, ChartComponent, Inject, LineSeries, SeriesCollectionDirective, SeriesDirective} from'@syncfusion/ej2-react-charts';
import * as React from 'react';
class App extends React.Component<{}, {}> {
  public primaryXAxis: AxisModel = { valueType: 'Category'};
  public data : any[]= [{ x: 'WW', y: 38.3, text: 'World Wide' },
  { x: 'EU', y: 45.2, text: 'Europe' },
  { x: 'APAC', y: 18.2, text: 'Asia Pacific' },
  { x: 'LATAM', y: 46.7, text: 'Latin America' },
  { x: 'MEA', y: 61.5, text: 'Middle East Africa' },
  { x: 'NA', y: 64, text: 'North America' }];

  public render() {
    return <ChartComponent id='charts' primaryXAxis={this.primaryXAxis}>
      <Inject services={[LineSeries, Category]} />
      <SeriesCollectionDirective>
      <SeriesDirective dataSource={this.data} xName='x' yName='y' type='Line'/>
      </SeriesCollectionDirective>
    </ChartComponent>
  }
};
ReactDOM.render(
  <App />,
  document.getElementById('charts') as HTMLElement
);
mobile addaptive icon

Mobile-First-Ansatz

Entwickeln Sie React Charts mit einer einzigen Codebasis und einer durchdachten, mobiladaptiven Architektur, die sich an jede Web-, Mobile- oder Tablet-Umgebung anpasst. Rendern Sie schöne, responsive, interaktive und animierte Charts auf mobilen Geräten.

Barrierefreiheit

Keyboard navigation in React Charts.

Tastaturnavigation

Stellt sicher, dass jedes Element über die Tastatur zugänglich ist. Hauptfunktionen wie Auswahl, Hervorhebung, Tooltip, Legenden-Ausblenden sowie Zoomen und Schwenken können allein über Tastaturbefehle ausgeführt werden; keine Mausinteraktion ist erforderlich. Dies hilft bei der Erstellung hochzugänglicher Anwendungen mit dieser React Charts-Komponente.

Accessibility and screen reader support in React Chart.

Screenreader

React Charts-Ansichten haben vollständige WAI-ARIA-Barrierefreiheitsunterstützung. Diese UI umfasst visuelle Elemente mit hohem Kontrast, die Menschen mit Sehbehinderungen die beste Betrachtungserfahrung bieten. Außerdem sind gültige UI-Beschreibungen über unterstützende Technologien wie Screenreader leicht zugänglich.

Show right-to-left language in React Charts.

Die Rechts-nach-Links-Darstellung ermöglicht es, Text und Layout der React Charts von rechts nach links anzuzeigen. Dies verbessert die Benutzererfahrung und Barrierefreiheit für RTL-Sprachen.

Andere unterstützte Haupt-Frameworks

Zusätzlich zu React ist eine integrierte Unterstützung für diese wichtigen Frameworks verfügbar.

Nicht sicher, wie Sie Ihre ersten React Charts erstellen? Unsere Tutorial-Videos und Dokumentation können helfen.

Ich möchte es jetzt ansehen Ich möchte es jetzt lesen

Häufig gestellte Fragen

Verwenden Sie Syncfusion React Charts für Ihre anspruchsvollsten Datenvisualisierungen mit folgenden Features:

  • Unterstützt über 50 Diagrammtypen und elegante Animationen.

  • Blitzschnelle Ladezeiten und reichhaltige UI-Interaktion in React-Apps.

  • Unterstützt sowohl SVG- als auch Canvas-Rendering (für schnelles Rendering).

  • Sie können benutzerdefinierte Elemente zum Diagramm hinzufügen, indem Sie die Annotations-Option verwenden.

  • Bei der Anzeige von Daten in mehreren Chartsn verbessern synchronisierte Charts die Visualisierung durch Koordination von Tooltips, Fadenkreuzen, Auswahlen und Zoom-Features über alle Charts hinweg.

  • Flexible Datenbindung mit Unterstützung für lokale und entfernte Datenquellen wie JSON, RESTful Services, OData Services und WCF Services.

  • Eine der besten React Charts auf dem Markt, die eine funktionsreiche UI für die Interaktion mit der Software bietet.
  • Einfache Konfiguration und API.

  • Unterstützt alle modernen Browser.
  • Mobilfreundlich und responsiv.
  • Umfangreiche Lernressourcen wie Demos und Dokumentation zum schnellen Lernen und Einstieg mit React Charts.

Wir verkaufen die React Charts nicht separat. Sie sind nur als Teil der Syncfusion Team-Lizenz zum Kauf verfügbar. Diese enthält über Komponenten und Frameworks, einschließlich der React Charts. Der Preis der Team-Lizenz beginnt bei 395 $ pro Monat für 5 Entwickler und umfasst Support und Updates bis zum Ablauf des Abonnements. Zusätzlich können wir Rabatte basierend auf derzeit aktiven Aktionen anbieten. Bitte kontaktieren Sie noch heute unsere Produktspezialisten, um zu erfahren, ob Sie für zusätzliche Rabatte qualifiziert sind.

Sie können unsere React Charts Demo finden, die zeigt, wie Charts gerendert und konfiguriert werden.

Nein, unsere über Komponenten und Frameworks für Web, Mobile und Desktop, einschließlich unserer React Charts, werden nicht einzeln verkauft. Sie sind nur als Teil einer Team-Lizenz verfügbar. Wir haben jedoch das Produkt wettbewerbsfähig bepreist, sodass es nur etwas mehr kostet als das, was einige andere Anbieter allein für ihre Charts-Komponente verlangen. Wir haben auch festgestellt, dass unsere Kunden in der Regel mit einem unserer Produkte beginnen und dann schnell auf mehrere Produkte erweitern, daher haben wir es für das Beste gehalten, alle über Komponenten und Frameworks für eine Abonnement-Gebühr anzubieten, die bei 395 $ pro Monat für ein Team von 5 Entwicklern beginnt. Zusätzlich können wir möglicherweise Rabatte basierend auf derzeit aktiven Aktionen anbieten. Bitte kontaktieren Sie noch heute unsere Produktspezialisten, um zu erfahren, ob Sie für zusätzliche Rabatte qualifiziert sind.

Nein, dies ist ein kommerzielles Produkt und erfordert eine kostenpflichtige Lizenz. Jedoch ist auch eine kostenlose Community-Lizenz für Unternehmen und Einzelpersonen verfügbar, deren Organisationen weniger als 1 Million USD jährlichen Bruttoumsatz und fünf oder weniger Entwickler haben.

Ein guter Ausgangspunkt wäre unsere umfassende Getting Started Dokumentation.

Unsere Kunden lieben uns

Mit einem ausgezeichneten Toolset und einem großartigen Supportteam verkürzt Syncfusion® die Entwicklungszeit der Kunden.
Hier sind einige ihrer Erfahrungen.

Echte Erfolgsgeschichten ansehen

Entwickler auf der ganzen Welt vertrauen auf Syncfusions Essential Studio, um komplexe Projekte zu vereinfachen und die Auslieferung zu beschleunigen. Mit einer umfangreichen Bibliothek an UI-Steuerelementen, leistungsstarken SDKs und zuverlässigem Support hilft Essential Studio Teams, unternehmensreife Anwendungen mit Zuversicht zu erstellen.

Fallstudien erkunden


Von Benutzern auf der ganzen Welt bewertet

Auszeichnungen

Viele behaupten, dass sie herausragend sind. Doch wenn andere das erkennen und loben, bedeutet es viel mehr. Syncfusion® präsentiert mit Stolz folgende Branchenauszeichnungen.

Aktuelle Aktivitäten in React Charts Blogs und Tutorials

Die React Charts Blog- und Tutorial-Video-Posts werden Sie beim Aufbau Ihrer ersten App mit React-Komponenten anleiten. Sie bieten Problemlösungsstrategien, beschreiben Features und Funktionalitäten, kündigen neue Feature-Releases an, erklären bewährte Praktiken und zeigen Beispielszenarien auf. Erkunden Sie unsere neuesten Posts in unseren Blog- und Tutorial-Video-Kanälen für React Charts Updates.

Up arrow icon